let circleX, circleY; // Variables to store the position of the circle
let circleSize = 50; // Circle's size
let circleColor;

function setup() {
  createCanvas(600, 400); // Create a canvas of width 600px and height 400px
  circleX = width / 2; // Start the circle at the center of the canvas
  circleY = height / 2;
  circleColor = color(255, 0, 0); // Initial color (red)
}

function draw() {
  background(220); // Set background color to light gray
  
  // Change the circle color when the mouse is pressed
  if (mouseIsPressed) {
    circleColor = color(random(255), random(255), random(255)); // Random color on click
  }
  
  // Draw the circle that follows the mouse
  fill(circleColor);
  ellipse(mouseX, mouseY, circleSize, circleSize); // Draw circle at mouse position
}

// Additional functionality: You can add more interactivity
function keyPressed() {
  if (key === 'r' || key === 'R') {
    circleSize += 10; // Increase the size of the circle when 'r' is pressed
  }
}
